Skills
Update a skill
Modifies the specified skill's configuration.
Elérési útvonal paraméterei
name
string
kötelező
The name of the skill to update.
Fejlécparaméterek
Foundry-Features
enum
kötelező
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Paraméterek lekérdezése
api-version
string
kötelező
The API version to use for this operation.
Kérelem törzse
default_version
string
kötelező
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
Válaszok
The request has succeeded.
Törzs
id
string
kötelező
The unique identifier of the skill.
name
string
kötelező
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
kötelező
A human-readable description of the skill.
default_version
string
kötelező
The default version for the skill. Can be changed via updateSkill.
latest_version
string
kötelező
The latest version for the skill.
Kérés
POST /skills/{name} HTTP/1.1
Válasz
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json